package examination4;

public class Examination4 {

  /**
   * Produce an array that contains the first n Fibonacci numbers.
   *
   * @param n is the size of the array to be created and returned.
   * @return an array that contains the first n Fibonacci numbers.
   */
  public static int[] fibonacci(int n) {
    int[] result = new int[n];
    result[0] = 1;
    result[1] = 1;
    for (int i = 2; i < n; i++) {
      result[i] = result[i - 1] + result[i - 2];
    } // for
    return result;
  } // fibonacci( int )

  // Write a method here that returns an array that contains
  // the first n triangular numbers.
  
  /**
   * Determine whether or not there is an integer in the array a that is also in
   * the array b.
   *
   * @param a is one array of integers.
   * @param b is another array of integers.
   * @return true if and only if at least one of the integers in a equals at
   * least one of the integers in b.
   */
  public static boolean containsCommonElement(int[] a, int[] b) {
    return false;
  } // containsCommonElement( int [], int [] )

  public static void main(String[] args) {
    int[] fib = fibonacci(12);
    for (int k : fib) {
      System.out.print(k + " ");
    } // for
    System.out.println();

//    int[] tri = triangular(12);
//    for (int k : fib) {
//      System.out.print(k + " ");
//    } // for
//    System.out.println();
    
//    if (containsCommonElement(fib, tri)) {
//      System.out.println("At least one of the first Fibonacci numbers "
//              + "is also one of the first triangular numbers.");
//    } // if
//    else {
//      System.out.println("None of the first Fibonacci numbers "
//              + "is also one of the first triangular numbers.");
//    } // else
    
//    Time t0 = new Time( 1, 30 );
//    Time t1 = new Time( 1, 40 );
//    // (1 hour, 30 minutes) + (1 hour, 40 minutes) = (3 hours, 10 minutes)
//    System.out.println( t0.add( t1 ));

  } // main( String [] )

} // Examination4
